source: squid-ssl/trunk/fuentes/src/comm/Makefile @ 5495

Last change on this file since 5495 was 5495, checked in by Juanma, 22 months ago

Initial release

File size: 40.3 KB
Line 
1# Makefile.in generated by automake 1.15 from Makefile.am.
2# src/comm/Makefile.  Generated from Makefile.in by configure.
3
4# Copyright (C) 1994-2014 Free Software Foundation, Inc.
5
6# This Makefile.in is free software; the Free Software Foundation
7# gives unlimited permission to copy and/or distribute it,
8# with or without modifications, as long as this notice is preserved.
9
10# This program is distributed in the hope that it will be useful,
11# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13# PARTICULAR PURPOSE.
14
15
16
17
18am__is_gnu_make = { \
19  if test -z '$(MAKELEVEL)'; then \
20    false; \
21  elif test -n '$(MAKE_HOST)'; then \
22    true; \
23  elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
24    true; \
25  else \
26    false; \
27  fi; \
28}
29am__make_running_with_option = \
30  case $${target_option-} in \
31      ?) ;; \
32      *) echo "am__make_running_with_option: internal error: invalid" \
33              "target option '$${target_option-}' specified" >&2; \
34         exit 1;; \
35  esac; \
36  has_opt=no; \
37  sane_makeflags=$$MAKEFLAGS; \
38  if $(am__is_gnu_make); then \
39    sane_makeflags=$$MFLAGS; \
40  else \
41    case $$MAKEFLAGS in \
42      *\\[\ \   ]*) \
43        bs=\\; \
44        sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
45          | sed "s/$$bs$$bs[$$bs $$bs   ]*//g"`;; \
46    esac; \
47  fi; \
48  skip_next=no; \
49  strip_trailopt () \
50  { \
51    flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
52  }; \
53  for flg in $$sane_makeflags; do \
54    test $$skip_next = yes && { skip_next=no; continue; }; \
55    case $$flg in \
56      *=*|--*) continue;; \
57        -*I) strip_trailopt 'I'; skip_next=yes;; \
58      -*I?*) strip_trailopt 'I';; \
59        -*O) strip_trailopt 'O'; skip_next=yes;; \
60      -*O?*) strip_trailopt 'O';; \
61        -*l) strip_trailopt 'l'; skip_next=yes;; \
62      -*l?*) strip_trailopt 'l';; \
63      -[dEDm]) skip_next=yes;; \
64      -[JT]) skip_next=yes;; \
65    esac; \
66    case $$flg in \
67      *$$target_option*) has_opt=yes; break;; \
68    esac; \
69  done; \
70  test $$has_opt = yes
71am__make_dryrun = (target_option=n; $(am__make_running_with_option))
72am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
73pkgdatadir = $(datadir)/squid
74pkgincludedir = $(includedir)/squid
75pkglibdir = $(libdir)/squid
76pkglibexecdir = $(libexecdir)/squid
77am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
78install_sh_DATA = $(install_sh) -c -m 644
79install_sh_PROGRAM = $(install_sh) -c
80install_sh_SCRIPT = $(install_sh) -c
81INSTALL_HEADER = $(INSTALL_DATA)
82transform = $(program_transform_name)
83NORMAL_INSTALL = :
84PRE_INSTALL = :
85POST_INSTALL = :
86NORMAL_UNINSTALL = :
87PRE_UNINSTALL = :
88POST_UNINSTALL = :
89build_triplet = x86_64-pc-linux-gnu
90host_triplet = x86_64-pc-linux-gnu
91check_PROGRAMS =
92am__append_1 = $(INCLTDL)
93subdir = src/comm
94ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
95am__aclocal_m4_deps = $(top_srcdir)/acinclude/ax_with_prog.m4 \
96        $(top_srcdir)/acinclude/init.m4 \
97        $(top_srcdir)/acinclude/squid-util.m4 \
98        $(top_srcdir)/acinclude/compiler-flags.m4 \
99        $(top_srcdir)/acinclude/os-deps.m4 \
100        $(top_srcdir)/acinclude/krb5.m4 $(top_srcdir)/acinclude/pam.m4 \
101        $(top_srcdir)/acinclude/pkg.m4 \
102        $(top_srcdir)/acinclude/lib-checks.m4 \
103        $(top_srcdir)/acinclude/ax_cxx_compile_stdcxx_11.m4 \
104        $(top_srcdir)/acinclude/ax_cxx_0x_types.m4 \
105        $(top_srcdir)/helpers/basic_auth/modules.m4 \
106        $(top_srcdir)/helpers/basic_auth/DB/required.m4 \
107        $(top_srcdir)/helpers/basic_auth/LDAP/required.m4 \
108        $(top_srcdir)/helpers/basic_auth/MSNT-multi-domain/required.m4 \
109        $(top_srcdir)/helpers/basic_auth/NCSA/required.m4 \
110        $(top_srcdir)/helpers/basic_auth/NIS/required.m4 \
111        $(top_srcdir)/helpers/basic_auth/PAM/required.m4 \
112        $(top_srcdir)/helpers/basic_auth/POP3/required.m4 \
113        $(top_srcdir)/helpers/basic_auth/RADIUS/required.m4 \
114        $(top_srcdir)/helpers/basic_auth/SASL/required.m4 \
115        $(top_srcdir)/helpers/basic_auth/SMB/required.m4 \
116        $(top_srcdir)/helpers/basic_auth/SMB_LM/required.m4 \
117        $(top_srcdir)/helpers/basic_auth/SSPI/required.m4 \
118        $(top_srcdir)/helpers/basic_auth/fake/required.m4 \
119        $(top_srcdir)/helpers/basic_auth/getpwnam/required.m4 \
120        $(top_srcdir)/helpers/digest_auth/modules.m4 \
121        $(top_srcdir)/helpers/digest_auth/LDAP/required.m4 \
122        $(top_srcdir)/helpers/digest_auth/eDirectory/required.m4 \
123        $(top_srcdir)/helpers/digest_auth/file/required.m4 \
124        $(top_srcdir)/helpers/negotiate_auth/modules.m4 \
125        $(top_srcdir)/helpers/negotiate_auth/SSPI/required.m4 \
126        $(top_srcdir)/helpers/negotiate_auth/kerberos/required.m4 \
127        $(top_srcdir)/helpers/negotiate_auth/wrapper/required.m4 \
128        $(top_srcdir)/helpers/ntlm_auth/modules.m4 \
129        $(top_srcdir)/helpers/ntlm_auth/fake/required.m4 \
130        $(top_srcdir)/helpers/ntlm_auth/SSPI/required.m4 \
131        $(top_srcdir)/helpers/ntlm_auth/smb_lm/required.m4 \
132        $(top_srcdir)/helpers/log_daemon/modules.m4 \
133        $(top_srcdir)/helpers/log_daemon/DB/required.m4 \
134        $(top_srcdir)/helpers/log_daemon/file/required.m4 \
135        $(top_srcdir)/helpers/external_acl/modules.m4 \
136        $(top_srcdir)/helpers/external_acl/AD_group/required.m4 \
137        $(top_srcdir)/helpers/external_acl/LDAP_group/required.m4 \
138        $(top_srcdir)/helpers/external_acl/LM_group/required.m4 \
139        $(top_srcdir)/helpers/external_acl/delayer/required.m4 \
140        $(top_srcdir)/helpers/external_acl/SQL_session/required.m4 \
141        $(top_srcdir)/helpers/external_acl/eDirectory_userip/required.m4 \
142        $(top_srcdir)/helpers/external_acl/file_userip/required.m4 \
143        $(top_srcdir)/helpers/external_acl/kerberos_ldap_group/required.m4 \
144        $(top_srcdir)/helpers/external_acl/session/required.m4 \
145        $(top_srcdir)/helpers/external_acl/time_quota/required.m4 \
146        $(top_srcdir)/helpers/external_acl/unix_group/required.m4 \
147        $(top_srcdir)/helpers/external_acl/wbinfo_group/required.m4 \
148        $(top_srcdir)/helpers/url_rewrite/modules.m4 \
149        $(top_srcdir)/helpers/url_rewrite/fake/required.m4 \
150        $(top_srcdir)/helpers/storeid_rewrite/modules.m4 \
151        $(top_srcdir)/helpers/storeid_rewrite/file/required.m4 \
152        $(top_srcdir)/configure.ac
153am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
154        $(ACLOCAL_M4)
155DIST_COMMON = $(srcdir)/Makefile.am $(am__DIST_COMMON)
156mkinstalldirs = $(install_sh) -d
157CONFIG_HEADER = $(top_builddir)/include/autoconf.h
158CONFIG_CLEAN_FILES =
159CONFIG_CLEAN_VPATH_FILES =
160LTLIBRARIES = $(noinst_LTLIBRARIES)
161libcomm_la_LIBADD =
162am_libcomm_la_OBJECTS = AcceptLimiter.lo ConnOpener.lo Connection.lo \
163        IoCallback.lo ModDevPoll.lo ModEpoll.lo ModKqueue.lo \
164        ModPoll.lo ModSelect.lo ModSelectWin32.lo Read.lo \
165        TcpAcceptor.lo Write.lo
166libcomm_la_OBJECTS = $(am_libcomm_la_OBJECTS)
167AM_V_lt = $(am__v_lt_$(V))
168am__v_lt_ = $(am__v_lt_$(AM_DEFAULT_VERBOSITY))
169am__v_lt_0 = --silent
170am__v_lt_1 = 
171AM_V_P = $(am__v_P_$(V))
172am__v_P_ = $(am__v_P_$(AM_DEFAULT_VERBOSITY))
173am__v_P_0 = false
174am__v_P_1 = :
175AM_V_GEN = $(am__v_GEN_$(V))
176am__v_GEN_ = $(am__v_GEN_$(AM_DEFAULT_VERBOSITY))
177am__v_GEN_0 = @echo "  GEN     " $@;
178am__v_GEN_1 = 
179AM_V_at = $(am__v_at_$(V))
180am__v_at_ = $(am__v_at_$(AM_DEFAULT_VERBOSITY))
181am__v_at_0 = @
182am__v_at_1 = 
183DEFAULT_INCLUDES = 
184depcomp = $(SHELL) $(top_srcdir)/cfgaux/depcomp
185am__depfiles_maybe = depfiles
186am__mv = mv -f
187CXXCOMPILE = $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
188        $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS)
189LTCXXCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) \
190        $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) \
191        $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
192        $(AM_CXXFLAGS) $(CXXFLAGS)
193AM_V_CXX = $(am__v_CXX_$(V))
194am__v_CXX_ = $(am__v_CXX_$(AM_DEFAULT_VERBOSITY))
195am__v_CXX_0 = @echo "  CXX     " $@;
196am__v_CXX_1 = 
197CXXLD = $(CXX)
198CXXLINK = $(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) \
199        $(LIBTOOLFLAGS) --mode=link $(CXXLD) $(AM_CXXFLAGS) \
200        $(CXXFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
201AM_V_CXXLD = $(am__v_CXXLD_$(V))
202am__v_CXXLD_ = $(am__v_CXXLD_$(AM_DEFAULT_VERBOSITY))
203am__v_CXXLD_0 = @echo "  CXXLD   " $@;
204am__v_CXXLD_1 = 
205COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
206        $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
207LTCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
208        $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) \
209        $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
210        $(AM_CFLAGS) $(CFLAGS)
211AM_V_CC = $(am__v_CC_$(V))
212am__v_CC_ = $(am__v_CC_$(AM_DEFAULT_VERBOSITY))
213am__v_CC_0 = @echo "  CC      " $@;
214am__v_CC_1 = 
215CCLD = $(CC)
216LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
217        $(LIBTOOLFLAGS) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
218        $(AM_LDFLAGS) $(LDFLAGS) -o $@
219AM_V_CCLD = $(am__v_CCLD_$(V))
220am__v_CCLD_ = $(am__v_CCLD_$(AM_DEFAULT_VERBOSITY))
221am__v_CCLD_0 = @echo "  CCLD    " $@;
222am__v_CCLD_1 = 
223SOURCES = $(libcomm_la_SOURCES)
224DIST_SOURCES = $(libcomm_la_SOURCES)
225am__can_run_installinfo = \
226  case $$AM_UPDATE_INFO_DIR in \
227    n|no|NO) false;; \
228    *) (install-info --version) >/dev/null 2>&1;; \
229  esac
230am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
231# Read a list of newline-separated strings from the standard input,
232# and print each of them once, without duplicates.  Input order is
233# *not* preserved.
234am__uniquify_input = $(AWK) '\
235  BEGIN { nonempty = 0; } \
236  { items[$$0] = 1; nonempty = 1; } \
237  END { if (nonempty) { for (i in items) print i; }; } \
238'
239# Make sure the list of sources is unique.  This is necessary because,
240# e.g., the same source file might be shared among _SOURCES variables
241# for different programs/libraries.
242am__define_uniq_tagged_files = \
243  list='$(am__tagged_files)'; \
244  unique=`for i in $$list; do \
245    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
246  done | $(am__uniquify_input)`
247ETAGS = etags
248CTAGS = ctags
249am__tty_colors_dummy = \
250  mgn= red= grn= lgn= blu= brg= std=; \
251  am__color_tests=no
252am__tty_colors = { \
253  $(am__tty_colors_dummy); \
254  if test "X$(AM_COLOR_TESTS)" = Xno; then \
255    am__color_tests=no; \
256  elif test "X$(AM_COLOR_TESTS)" = Xalways; then \
257    am__color_tests=yes; \
258  elif test "X$$TERM" != Xdumb && { test -t 1; } 2>/dev/null; then \
259    am__color_tests=yes; \
260  fi; \
261  if test $$am__color_tests = yes; then \
262    red='[0;31m'; \
263    grn='[0;32m'; \
264    lgn='[1;32m'; \
265    blu='[1;34m'; \
266    mgn='[0;35m'; \
267    brg='[1m'; \
268    std='[m'; \
269  fi; \
270}
271am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
272am__vpath_adj = case $$p in \
273    $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
274    *) f=$$p;; \
275  esac;
276am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
277am__install_max = 40
278am__nobase_strip_setup = \
279  srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
280am__nobase_strip = \
281  for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
282am__nobase_list = $(am__nobase_strip_setup); \
283  for p in $$list; do echo "$$p $$p"; done | \
284  sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
285  $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
286    if (++n[$$2] == $(am__install_max)) \
287      { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
288    END { for (dir in files) print dir, files[dir] }'
289am__base_list = \
290  sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
291  sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
292am__uninstall_files_from_dir = { \
293  test -z "$$files" \
294    || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
295    || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
296         $(am__cd) "$$dir" && rm -f $$files; }; \
297  }
298am__recheck_rx = ^[     ]*:recheck:[    ]*
299am__global_test_result_rx = ^[  ]*:global-test-result:[         ]*
300am__copy_in_global_log_rx = ^[  ]*:copy-in-global-log:[         ]*
301# A command that, given a newline-separated list of test names on the
302# standard input, print the name of the tests that are to be re-run
303# upon "make recheck".
304am__list_recheck_tests = $(AWK) '{ \
305  recheck = 1; \
306  while ((rc = (getline line < ($$0 ".trs"))) != 0) \
307    { \
308      if (rc < 0) \
309        { \
310          if ((getline line2 < ($$0 ".log")) < 0) \
311            recheck = 0; \
312          break; \
313        } \
314      else if (line ~ /$(am__recheck_rx)[nN][Oo]/) \
315        { \
316          recheck = 0; \
317          break; \
318        } \
319      else if (line ~ /$(am__recheck_rx)[yY][eE][sS]/) \
320        { \
321          break; \
322        } \
323    }; \
324  if (recheck) \
325    print $$0; \
326  close ($$0 ".trs"); \
327  close ($$0 ".log"); \
328}'
329# A command that, given a newline-separated list of test names on the
330# standard input, create the global log from their .trs and .log files.
331am__create_global_log = $(AWK) ' \
332function fatal(msg) \
333{ \
334  print "fatal: making $@: " msg | "cat >&2"; \
335  exit 1; \
336} \
337function rst_section(header) \
338{ \
339  print header; \
340  len = length(header); \
341  for (i = 1; i <= len; i = i + 1) \
342    printf "="; \
343  printf "\n\n"; \
344} \
345{ \
346  copy_in_global_log = 1; \
347  global_test_result = "RUN"; \
348  while ((rc = (getline line < ($$0 ".trs"))) != 0) \
349    { \
350      if (rc < 0) \
351         fatal("failed to read from " $$0 ".trs"); \
352      if (line ~ /$(am__global_test_result_rx)/) \
353        { \
354          sub("$(am__global_test_result_rx)", "", line); \
355          sub("[        ]*$$", "", line); \
356          global_test_result = line; \
357        } \
358      else if (line ~ /$(am__copy_in_global_log_rx)[nN][oO]/) \
359        copy_in_global_log = 0; \
360    }; \
361  if (copy_in_global_log) \
362    { \
363      rst_section(global_test_result ": " $$0); \
364      while ((rc = (getline line < ($$0 ".log"))) != 0) \
365      { \
366        if (rc < 0) \
367          fatal("failed to read from " $$0 ".log"); \
368        print line; \
369      }; \
370      printf "\n"; \
371    }; \
372  close ($$0 ".trs"); \
373  close ($$0 ".log"); \
374}'
375# Restructured Text title.
376am__rst_title = { sed 's/.*/   &   /;h;s/./=/g;p;x;s/ *$$//;p;g' && echo; }
377# Solaris 10 'make', and several other traditional 'make' implementations,
378# pass "-e" to $(SHELL), and POSIX 2008 even requires this.  Work around it
379# by disabling -e (using the XSI extension "set +e") if it's set.
380am__sh_e_setup = case $$- in *e*) set +e;; esac
381# Default flags passed to test drivers.
382am__common_driver_flags = \
383  --color-tests "$$am__color_tests" \
384  --enable-hard-errors "$$am__enable_hard_errors" \
385  --expect-failure "$$am__expect_failure"
386# To be inserted before the command running the test.  Creates the
387# directory for the log if needed.  Stores in $dir the directory
388# containing $f, in $tst the test, in $log the log.  Executes the
389# developer- defined test setup AM_TESTS_ENVIRONMENT (if any), and
390# passes TESTS_ENVIRONMENT.  Set up options for the wrapper that
391# will run the test scripts (or their associated LOG_COMPILER, if
392# thy have one).
393am__check_pre = \
394$(am__sh_e_setup);                                      \
395$(am__vpath_adj_setup) $(am__vpath_adj)                 \
396$(am__tty_colors);                                      \
397srcdir=$(srcdir); export srcdir;                        \
398case "$@" in                                            \
399  */*) am__odir=`echo "./$@" | sed 's|/[^/]*$$||'`;;    \
400    *) am__odir=.;;                                     \
401esac;                                                   \
402test "x$$am__odir" = x"." || test -d "$$am__odir"       \
403  || $(MKDIR_P) "$$am__odir" || exit $$?;               \
404if test -f "./$$f"; then dir=./;                        \
405elif test -f "$$f"; then dir=;                          \
406else dir="$(srcdir)/"; fi;                              \
407tst=$$dir$$f; log='$@';                                 \
408if test -n '$(DISABLE_HARD_ERRORS)'; then               \
409  am__enable_hard_errors=no;                            \
410else                                                    \
411  am__enable_hard_errors=yes;                           \
412fi;                                                     \
413case " $(XFAIL_TESTS) " in                              \
414  *[\ \ ]$$f[\ \        ]* | *[\ \      ]$$dir$$f[\ \   ]*) \
415    am__expect_failure=yes;;                            \
416  *)                                                    \
417    am__expect_failure=no;;                             \
418esac;                                                   \
419$(AM_TESTS_ENVIRONMENT) $(TESTS_ENVIRONMENT)
420# A shell command to get the names of the tests scripts with any registered
421# extension removed (i.e., equivalently, the names of the test logs, with
422# the '.log' extension removed).  The result is saved in the shell variable
423# '$bases'.  This honors runtime overriding of TESTS and TEST_LOGS.  Sadly,
424# we cannot use something simpler, involving e.g., "$(TEST_LOGS:.log=)",
425# since that might cause problem with VPATH rewrites for suffix-less tests.
426# See also 'test-harness-vpath-rewrite.sh' and 'test-trs-basic.sh'.
427am__set_TESTS_bases = \
428  bases='$(TEST_LOGS)'; \
429  bases=`for i in $$bases; do echo $$i; done | sed 's/\.log$$//'`; \
430  bases=`echo $$bases`
431RECHECK_LOGS = $(TEST_LOGS)
432AM_RECURSIVE_TARGETS = check recheck
433TEST_SUITE_LOG = test-suite.log
434TEST_EXTENSIONS =  .test
435LOG_DRIVER = $(SHELL) $(top_srcdir)/cfgaux/test-driver
436LOG_COMPILE = $(LOG_COMPILER) $(AM_LOG_FLAGS) $(LOG_FLAGS)
437am__set_b = \
438  case '$@' in \
439    */*) \
440      case '$*' in \
441        */*) b='$*';; \
442          *) b=`echo '$@' | sed 's/\.log$$//'`; \
443       esac;; \
444    *) \
445      b='$*';; \
446  esac
447am__test_logs1 = $(TESTS:=.log)
448am__test_logs2 = $(am__test_logs1:.log=.log)
449TEST_LOGS = $(am__test_logs2:.test.log=.log)
450TEST_LOG_DRIVER = $(SHELL) $(top_srcdir)/cfgaux/test-driver
451TEST_LOG_COMPILE = $(TEST_LOG_COMPILER) $(AM_TEST_LOG_FLAGS) \
452        $(TEST_LOG_FLAGS)
453am__DIST_COMMON = $(srcdir)/Makefile.in $(top_srcdir)/cfgaux/depcomp \
454        $(top_srcdir)/cfgaux/test-driver $(top_srcdir)/src/Common.am \
455        $(top_srcdir)/src/TestHeaders.am
456DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
457ACLOCAL = ${SHELL} /media/sdb/svn/xenial/squid-ssl/trunk/fuentes/cfgaux/missing aclocal-1.15
458ADAPTATION_LIBS = adaptation/libadaptation.la
459ALLOCA =
460AMTAR = $${TAR-tar}
461AM_DEFAULT_VERBOSITY = 1
462AR = /usr/bin/ar
463AR_R = /usr/bin/ar r
464AUTH_LIBS_TO_BUILD =  basic/libbasic.la digest/libdigest.la negotiate/libnegotiate.la ntlm/libntlm.la
465AUTH_MODULES =  basic digest negotiate ntlm
466AUTOCONF = ${SHELL} /media/sdb/svn/xenial/squid-ssl/trunk/fuentes/cfgaux/missing autoconf
467AUTOHEADER = ${SHELL} /media/sdb/svn/xenial/squid-ssl/trunk/fuentes/cfgaux/missing autoheader
468AUTOMAKE = ${SHELL} /media/sdb/svn/xenial/squid-ssl/trunk/fuentes/cfgaux/missing automake-1.15
469AWK = gawk
470BASIC_AUTH_HELPERS =  DB fake getpwnam LDAP NCSA NIS PAM POP3 RADIUS SASL SMB
471BUILDCXX = g++
472BUILDCXXFLAGS = -g -O2 -fPIE -fstack-protector-strong -Wformat -Werror=format-security -Wl,-Bsymbolic-functions -fPIE -pie -Wl,-z,relro -Wl,-z,now
473BZR =
474CACHE_EFFECTIVE_USER = proxy
475CC = gcc
476CCDEPMODE = depmode=none
477CFLAGS = -m64 -g -O2 -fPIE -fstack-protector-strong -Wformat -Werror=format-security -Wall
478CGIEXT = .cgi
479CHMOD = /bin/chmod
480CPP = gcc -E
481CPPFLAGS = -I/usr/include/libxml2 -Wdate-time -D_FORTIFY_SOURCE=2
482CPPUNITCONFIG = /usr/bin/cppunit-config
483CRYPTLIB = -lcrypt
484CXX = g++
485CXXCPP = g++ -E
486CXXDEPMODE = depmode=none
487CXXFLAGS = -m64  -I/usr/include/p11-kit-1 -g -O2 -fPIE -fstack-protector-strong -Wformat -Werror=format-security -std=c++11
488CYGPATH_W = echo
489DEFAULT_HOSTS = /etc/hosts
490DEFAULT_LOG_DIR = /var/log/squid-ssl
491DEFAULT_PID_FILE = /var/run/squid-ssl.pid
492DEFAULT_SWAP_DIR = /var/spool/squid-ssl
493DEFS = -DHAVE_CONFIG_H
494DEPDIR = .deps
495DIGEST_AUTH_HELPERS =  file LDAP
496DISK_LIBS =  libAIO.a libBlocking.a libDiskDaemon.a libDiskThreads.a libIpcIo.a libMmapped.a
497DISK_LINKOBJS =  DiskIO/AIO/AIODiskIOModule.o DiskIO/Blocking/BlockingDiskIOModule.o DiskIO/DiskDaemon/DiskDaemonDiskIOModule.o DiskIO/DiskThreads/DiskThreadsDiskIOModule.o DiskIO/IpcIo/IpcIoDiskIOModule.o DiskIO/Mmapped/MmappedDiskIOModule.o
498DISK_MODULES =  AIO Blocking DiskDaemon DiskThreads IpcIo Mmapped
499DISK_OS_LIBS =  -lrt -lpthread
500DISK_PROGRAMS =  DiskIO/DiskDaemon/diskd
501DLLTOOL = false
502DSYMUTIL =
503DUMPBIN =
504ECAP_LIBS = ecap/libsquid-ecap.la
505ECHO_C =
506ECHO_N = -n
507ECHO_T =
508EGREP = /bin/egrep
509EPOLL_LIBS =
510EUILIB =
511EXEEXT =
512EXPATLIB = -lexpat
513EXTERNAL_ACL_HELPERS =  file_userip kerberos_ldap_group LDAP_group session SQL_session unix_group wbinfo_group
514EXT_LIBECAP_CFLAGS =
515EXT_LIBECAP_LIBS = -lecap
516FALSE = /bin/false
517FGREP = /bin/fgrep
518GREP = grep
519HAVE_CXX11 = 1
520ICAP_LIBS = icap/libicap.la
521INCLTDL =
522INSTALL = /usr/bin/install -c
523INSTALL_DATA = ${INSTALL} -m 644
524INSTALL_PROGRAM = ${INSTALL}
525INSTALL_SCRIPT = ${INSTALL}
526INSTALL_STRIP_PROGRAM = $(install_sh) -c -s
527KRB5INCS = -isystem /usr/include/mit-krb5
528KRB5LIBS =  -L/usr/lib/x86_64-linux-gnu/mit-krb5 -lgssapi_krb5 -lkrb5 -lk5crypto -lcom_err
529LBERLIB = -llber
530LD = /usr/bin/ld -m elf_x86_64
531LDAPLIB = -lldap
532LDFLAGS = -m64 -Wl,-Bsymbolic-functions -fPIE -pie -Wl,-z,relro -Wl,-z,now
533LIBADD_DL = -ldl
534LIBADD_DLD_LINK =
535LIBADD_DLOPEN = -ldl
536LIBADD_SHL_LOAD =
537LIBGNUTLS_CFLAGS = -I/usr/include/p11-kit-1
538LIBGNUTLS_LIBS = -lgnutls
539LIBLTDL = -lltdl
540LIBOBJS =
541LIBOPENSSL_CFLAGS =
542LIBOPENSSL_LIBS = -lssl -lcrypto
543LIBS =
544LIBSASL = -lsasl2
545LIBTOOL = $(SHELL) $(top_builddir)/libtool
546LIB_DB = -ldb
547LIB_KRB5_CFLAGS = -isystem /usr/include/mit-krb5
548LIB_KRB5_LIBS = -L/usr/lib/x86_64-linux-gnu/mit-krb5 -lgssapi_krb5 -lkrb5 -lk5crypto -lcom_err
549LINUXDOC = /bin/false
550LIPO =
551LN = /bin/ln
552LN_S = ln -s
553LOG_DAEMON_HELPERS =  DB file
554LTDLDEPS =
555LTDLINCL =
556LTDLOPEN = libltdl
557LTLIBOBJS =
558LT_ARGZ_H =
559LT_CONFIG_H = include/autoconf.h
560LT_DLLOADERS =  libltdl/dlopen.la
561LT_DLPREOPEN = -dlpreopen libltdl/dlopen.la
562LT_SYS_LIBRARY_PATH =
563MAINT = #
564MAKEINFO = ${SHELL} /media/sdb/svn/xenial/squid-ssl/trunk/fuentes/cfgaux/missing makeinfo
565MANIFEST_TOOL = :
566MINGW_LIBS =
567MKDIR = /bin/mkdir
568MKDIR_P = /bin/mkdir -p
569MV = /bin/mv
570NEGOTIATE_AUTH_HELPERS =  kerberos wrapper
571NETTLELIB =  -lnettle
572NM = /usr/bin/nm -B
573NMEDIT =
574NTLM_AUTH_HELPERS =  fake smb_lm
575OBJDUMP = objdump
576OBJEXT = o
577OTOOL =
578OTOOL64 =
579PACKAGE = squid
580PACKAGE_BUGREPORT = http://bugs.squid-cache.org/
581PACKAGE_NAME = Squid Web Proxy
582PACKAGE_STRING = Squid Web Proxy 3.5.12
583PACKAGE_TARNAME = squid
584PACKAGE_URL =
585PACKAGE_VERSION = 3.5.12
586PATH_SEPARATOR = :
587PERL = /usr/bin/perl
588PKG_CONFIG = /usr/bin/pkg-config
589PKG_CONFIG_LIBDIR =
590PKG_CONFIG_PATH =
591PO2HTML = off
592PO2TEXT = off
593POD2MAN = /usr/bin/pod2man
594RANLIB = ranlib
595REGEXLIB =
596REPL_LIBS = liblru.a libheap.a
597REPL_OBJS = repl/liblru.a repl/libheap.a
598REPL_POLICIES = lru heap
599RM = /bin/rm -f
600SED = /bin/sed
601SET_MAKE =
602SH = /bin/sh
603SHELL = /bin/bash
604SMBCLIENT = /usr/bin/smbclient
605SNMPLIB = ../lib/snmplib/libsnmplib.la
606SQUID_CFLAGS = -Wall -Wpointer-arith -Wwrite-strings -Wmissing-prototypes -Wmissing-declarations -Wcomments -Wshadow -Werror -pipe -D_REENTRANT
607SQUID_CPPUNIT_INC =
608SQUID_CPPUNIT_LA =
609SQUID_CPPUNIT_LIBS = -L/usr/lib/x86_64-linux-gnu -lcppunit -ldl
610SQUID_CXXFLAGS = -I/usr/include/libxml2 -Wall -Wpointer-arith -Wwrite-strings -Wcomments -Wshadow -Werror -pipe -D_REENTRANT
611SSLLIB =  -lssl -lcrypto  -lgnutls
612STOREID_REWRITE_HELPERS =  file
613STORE_LIBS_TO_ADD =  fs/libufs.la fs/libaufs.la fs/libdiskd.la fs/librock.la
614STORE_LIBS_TO_BUILD =  libufs.la libaufs.la libdiskd.la librock.la
615STORE_TESTS =
616STRIP = strip
617TR = /usr/bin/tr
618TRUE = /bin/true
619URL_REWRITE_HELPERS =  fake
620VERSION = 3.5.12
621WBINFO =
622WIN32_PSAPI =
623XMLLIB = -lxml2
624XTRA_LIBS = -lm -lnsl -lresolv -lcap -lnetfilter_conntrack -lrt
625XTRA_OBJS =
626abs_builddir = /media/sdb/svn/xenial/squid-ssl/trunk/fuentes/src/comm
627abs_srcdir = /media/sdb/svn/xenial/squid-ssl/trunk/fuentes/src/comm
628abs_top_builddir = /media/sdb/svn/xenial/squid-ssl/trunk/fuentes
629abs_top_srcdir = /media/sdb/svn/xenial/squid-ssl/trunk/fuentes
630ac_ct_AR =
631ac_ct_CC = gcc
632ac_ct_CXX = g++
633ac_ct_DUMPBIN =
634am__include = include
635am__leading_dot = .
636am__quote =
637am__tar = tar --format=ustar -chf - "$$tardir"
638am__untar = tar -xf -
639bindir = ${exec_prefix}/bin
640build = x86_64-pc-linux-gnu
641build_alias = x86_64-linux-gnu
642build_cpu = x86_64
643build_os = linux-gnu
644build_vendor = pc
645builddir = .
646datadir = /usr/share/squid-ssl
647datarootdir = ${prefix}/share
648docdir = ${datarootdir}/doc/${PACKAGE_TARNAME}
649dvidir = ${docdir}
650exec_prefix = ${prefix}
651host = x86_64-pc-linux-gnu
652host_alias =
653host_cpu = x86_64
654host_os = linux-gnu
655host_vendor = pc
656htmldir = ${docdir}
657includedir = ${prefix}/include
658infodir = ${prefix}/share/info
659install_sh = ${SHELL} /media/sdb/svn/xenial/squid-ssl/trunk/fuentes/cfgaux/install-sh
660krb5_config =
661libdir = ${exec_prefix}/lib
662libexecdir = /usr/lib/squid-ssl
663localedir = ${datarootdir}/locale
664localstatedir = /var
665ltdl_LIBOBJS =  lt__strl.o
666ltdl_LTLIBOBJS =  lt__strl.lo
667mandir = /usr/share/man
668mkdir_p = $(MKDIR_P)
669oldincludedir = /usr/include
670pdfdir = ${docdir}
671prefix = /usr
672program_transform_name = s&$$&-ssl&
673psdir = ${docdir}
674runstatedir = ${localstatedir}/run
675sbindir = ${exec_prefix}/sbin
676sharedstatedir = ${prefix}/com
677srcdir = .
678subdirs =  libltdl
679sys_symbol_underscore = no
680sysconfdir = /etc/squid-ssl
681target_alias =
682top_build_prefix = ../../
683top_builddir = ../..
684top_srcdir = ../..
685AM_CFLAGS = $(SQUID_CFLAGS)
686AM_CXXFLAGS = $(SQUID_CXXFLAGS)
687CLEANFILES = testHeaders
688TESTS = testHeaders
689AM_CPPFLAGS = -I$(top_srcdir) -I$(top_srcdir)/include \
690        -I$(top_srcdir)/lib -I$(top_srcdir)/src \
691        -I$(top_builddir)/include $(SQUID_CPPUNIT_INC) $(KRB5INCS) \
692        $(am__append_1)
693LIBPROFILER =
694#LIBPROFILER = $(top_builddir)/lib/profiler/libprofiler.la
695COMPAT_LIB = $(top_builddir)/compat/libcompat-squid.la $(LIBPROFILER)
696subst_perlshell = sed -e 's,[@]PERL[@],$(PERL),g' <$(srcdir)/$@.pl.in >$@ || ($(RM) -f $@ ; exit 1)
697noinst_LTLIBRARIES = libcomm.la
698libcomm_la_SOURCES = \
699        AcceptLimiter.cc \
700        AcceptLimiter.h \
701        ConnOpener.cc \
702        ConnOpener.h \
703        Connection.cc \
704        Connection.h \
705        Flag.h \
706        forward.h \
707        IoCallback.cc \
708        IoCallback.h \
709        Loops.h \
710        ModDevPoll.cc \
711        ModEpoll.cc \
712        ModKqueue.cc \
713        ModPoll.cc \
714        ModSelect.cc \
715        ModSelectWin32.cc \
716        Read.cc \
717        Read.h \
718        TcpAcceptor.cc \
719        TcpAcceptor.h \
720        UdpOpenDialer.h \
721        Write.cc \
722        Write.h \
723        \
724        comm_internal.h
725
726all: all-am
727
728.SUFFIXES:
729.SUFFIXES: .cc .lo .log .o .obj .test .test$(EXEEXT) .trs
730$(srcdir)/Makefile.in: # $(srcdir)/Makefile.am $(top_srcdir)/src/Common.am $(top_srcdir)/src/TestHeaders.am $(am__configure_deps)
731        @for dep in $?; do \
732          case '$(am__configure_deps)' in \
733            *$$dep*) \
734              ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
735                && { if test -f $@; then exit 0; else break; fi; }; \
736              exit 1;; \
737          esac; \
738        done; \
739        echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu src/comm/Makefile'; \
740        $(am__cd) $(top_srcdir) && \
741          $(AUTOMAKE) --gnu src/comm/Makefile
742Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
743        @case '$?' in \
744          *config.status*) \
745            cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
746          *) \
747            echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
748            cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
749        esac;
750$(top_srcdir)/src/Common.am $(top_srcdir)/src/TestHeaders.am $(am__empty):
751
752$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
753        cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
754
755$(top_srcdir)/configure: # $(am__configure_deps)
756        cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
757$(ACLOCAL_M4): # $(am__aclocal_m4_deps)
758        cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
759$(am__aclocal_m4_deps):
760
761clean-noinstLTLIBRARIES:
762        -test -z "$(noinst_LTLIBRARIES)" || rm -f $(noinst_LTLIBRARIES)
763        @list='$(noinst_LTLIBRARIES)'; \
764        locs=`for p in $$list; do echo $$p; done | \
765              sed 's|^[^/]*$$|.|; s|/[^/]*$$||; s|$$|/so_locations|' | \
766              sort -u`; \
767        test -z "$$locs" || { \
768          echo rm -f $${locs}; \
769          rm -f $${locs}; \
770        }
771
772libcomm.la: $(libcomm_la_OBJECTS) $(libcomm_la_DEPENDENCIES) $(EXTRA_libcomm_la_DEPENDENCIES)
773        $(AM_V_CXXLD)$(CXXLINK)  $(libcomm_la_OBJECTS) $(libcomm_la_LIBADD) $(LIBS)
774
775clean-checkPROGRAMS:
776        @list='$(check_PROGRAMS)'; test -n "$$list" || exit 0; \
777        echo " rm -f" $$list; \
778        rm -f $$list || exit $$?; \
779        test -n "$(EXEEXT)" || exit 0; \
780        list=`for p in $$list; do echo "$$p"; done | sed 's/$(EXEEXT)$$//'`; \
781        echo " rm -f" $$list; \
782        rm -f $$list
783
784mostlyclean-compile:
785        -rm -f *.$(OBJEXT)
786
787distclean-compile:
788        -rm -f *.tab.c
789
790#include ./$(DEPDIR)/AcceptLimiter.Plo
791#include ./$(DEPDIR)/ConnOpener.Plo
792#include ./$(DEPDIR)/Connection.Plo
793#include ./$(DEPDIR)/IoCallback.Plo
794#include ./$(DEPDIR)/ModDevPoll.Plo
795#include ./$(DEPDIR)/ModEpoll.Plo
796#include ./$(DEPDIR)/ModKqueue.Plo
797#include ./$(DEPDIR)/ModPoll.Plo
798#include ./$(DEPDIR)/ModSelect.Plo
799#include ./$(DEPDIR)/ModSelectWin32.Plo
800#include ./$(DEPDIR)/Read.Plo
801#include ./$(DEPDIR)/TcpAcceptor.Plo
802#include ./$(DEPDIR)/Write.Plo
803
804.cc.o:
805#       $(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.o$$||'`;\
806#       $(CXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
807#       $(am__mv) $$depbase.Tpo $$depbase.Po
808#       $(AM_V_CXX)source='$<' object='$@' libtool=no
809#       DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp)
810        $(AM_V_CXX)$(CXXCOMPILE) -c -o $@ $<
811
812.cc.obj:
813#       $(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.obj$$||'`;\
814#       $(CXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ `$(CYGPATH_W) '$<'` &&\
815#       $(am__mv) $$depbase.Tpo $$depbase.Po
816#       $(AM_V_CXX)source='$<' object='$@' libtool=no
817#       DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp)
818        $(AM_V_CXX)$(CXXCOMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
819
820.cc.lo:
821#       $(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.lo$$||'`;\
822#       $(LTCXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
823#       $(am__mv) $$depbase.Tpo $$depbase.Plo
824#       $(AM_V_CXX)source='$<' object='$@' libtool=yes
825#       DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp)
826        $(AM_V_CXX)$(LTCXXCOMPILE) -c -o $@ $<
827
828mostlyclean-libtool:
829        -rm -f *.lo
830
831clean-libtool:
832        -rm -rf .libs _libs
833
834ID: $(am__tagged_files)
835        $(am__define_uniq_tagged_files); mkid -fID $$unique
836tags: tags-am
837TAGS: tags
838
839tags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
840        set x; \
841        here=`pwd`; \
842        $(am__define_uniq_tagged_files); \
843        shift; \
844        if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
845          test -n "$$unique" || unique=$$empty_fix; \
846          if test $$# -gt 0; then \
847            $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
848              "$$@" $$unique; \
849          else \
850            $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
851              $$unique; \
852          fi; \
853        fi
854ctags: ctags-am
855
856CTAGS: ctags
857ctags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
858        $(am__define_uniq_tagged_files); \
859        test -z "$(CTAGS_ARGS)$$unique" \
860          || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
861             $$unique
862
863GTAGS:
864        here=`$(am__cd) $(top_builddir) && pwd` \
865          && $(am__cd) $(top_srcdir) \
866          && gtags -i $(GTAGS_ARGS) "$$here"
867cscopelist: cscopelist-am
868
869cscopelist-am: $(am__tagged_files)
870        list='$(am__tagged_files)'; \
871        case "$(srcdir)" in \
872          [\\/]* | ?:[\\/]*) sdir="$(srcdir)" ;; \
873          *) sdir=$(subdir)/$(srcdir) ;; \
874        esac; \
875        for i in $$list; do \
876          if test -f "$$i"; then \
877            echo "$(subdir)/$$i"; \
878          else \
879            echo "$$sdir/$$i"; \
880          fi; \
881        done >> $(top_builddir)/cscope.files
882
883distclean-tags:
884        -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
885
886# Recover from deleted '.trs' file; this should ensure that
887# "rm -f foo.log; make foo.trs" re-run 'foo.test', and re-create
888# both 'foo.log' and 'foo.trs'.  Break the recipe in two subshells
889# to avoid problems with "make -n".
890.log.trs:
891        rm -f $< $@
892        $(MAKE) $(AM_MAKEFLAGS) $<
893
894# Leading 'am--fnord' is there to ensure the list of targets does not
895# expand to empty, as could happen e.g. with make check TESTS=''.
896am--fnord $(TEST_LOGS) $(TEST_LOGS:.log=.trs): $(am__force_recheck)
897am--force-recheck:
898        @:
899
900$(TEST_SUITE_LOG): $(TEST_LOGS)
901        @$(am__set_TESTS_bases); \
902        am__f_ok () { test -f "$$1" && test -r "$$1"; }; \
903        redo_bases=`for i in $$bases; do \
904                      am__f_ok $$i.trs && am__f_ok $$i.log || echo $$i; \
905                    done`; \
906        if test -n "$$redo_bases"; then \
907          redo_logs=`for i in $$redo_bases; do echo $$i.log; done`; \
908          redo_results=`for i in $$redo_bases; do echo $$i.trs; done`; \
909          if $(am__make_dryrun); then :; else \
910            rm -f $$redo_logs && rm -f $$redo_results || exit 1; \
911          fi; \
912        fi; \
913        if test -n "$$am__remaking_logs"; then \
914          echo "fatal: making $(TEST_SUITE_LOG): possible infinite" \
915               "recursion detected" >&2; \
916        elif test -n "$$redo_logs"; then \
917          am__remaking_logs=yes $(MAKE) $(AM_MAKEFLAGS) $$redo_logs; \
918        fi; \
919        if $(am__make_dryrun); then :; else \
920          st=0;  \
921          errmsg="fatal: making $(TEST_SUITE_LOG): failed to create"; \
922          for i in $$redo_bases; do \
923            test -f $$i.trs && test -r $$i.trs \
924              || { echo "$$errmsg $$i.trs" >&2; st=1; }; \
925            test -f $$i.log && test -r $$i.log \
926              || { echo "$$errmsg $$i.log" >&2; st=1; }; \
927          done; \
928          test $$st -eq 0 || exit 1; \
929        fi
930        @$(am__sh_e_setup); $(am__tty_colors); $(am__set_TESTS_bases); \
931        ws='[   ]'; \
932        results=`for b in $$bases; do echo $$b.trs; done`; \
933        test -n "$$results" || results=/dev/null; \
934        all=`  grep "^$$ws*:test-result:"           $$results | wc -l`; \
935        pass=` grep "^$$ws*:test-result:$$ws*PASS"  $$results | wc -l`; \
936        fail=` grep "^$$ws*:test-result:$$ws*FAIL"  $$results | wc -l`; \
937        skip=` grep "^$$ws*:test-result:$$ws*SKIP"  $$results | wc -l`; \
938        xfail=`grep "^$$ws*:test-result:$$ws*XFAIL" $$results | wc -l`; \
939        xpass=`grep "^$$ws*:test-result:$$ws*XPASS" $$results | wc -l`; \
940        error=`grep "^$$ws*:test-result:$$ws*ERROR" $$results | wc -l`; \
941        if test `expr $$fail + $$xpass + $$error` -eq 0; then \
942          success=true; \
943        else \
944          success=false; \
945        fi; \
946        br='==================='; br=$$br$$br$$br$$br; \
947        result_count () \
948        { \
949            if test x"$$1" = x"--maybe-color"; then \
950              maybe_colorize=yes; \
951            elif test x"$$1" = x"--no-color"; then \
952              maybe_colorize=no; \
953            else \
954              echo "$@: invalid 'result_count' usage" >&2; exit 4; \
955            fi; \
956            shift; \
957            desc=$$1 count=$$2; \
958            if test $$maybe_colorize = yes && test $$count -gt 0; then \
959              color_start=$$3 color_end=$$std; \
960            else \
961              color_start= color_end=; \
962            fi; \
963            echo "$${color_start}# $$desc $$count$${color_end}"; \
964        }; \
965        create_testsuite_report () \
966        { \
967          result_count $$1 "TOTAL:" $$all   "$$brg"; \
968          result_count $$1 "PASS: " $$pass  "$$grn"; \
969          result_count $$1 "SKIP: " $$skip  "$$blu"; \
970          result_count $$1 "XFAIL:" $$xfail "$$lgn"; \
971          result_count $$1 "FAIL: " $$fail  "$$red"; \
972          result_count $$1 "XPASS:" $$xpass "$$red"; \
973          result_count $$1 "ERROR:" $$error "$$mgn"; \
974        }; \
975        {                                                               \
976          echo "$(PACKAGE_STRING): $(subdir)/$(TEST_SUITE_LOG)" |       \
977            $(am__rst_title);                                           \
978          create_testsuite_report --no-color;                           \
979          echo;                                                         \
980          echo ".. contents:: :depth: 2";                               \
981          echo;                                                         \
982          for b in $$bases; do echo $$b; done                           \
983            | $(am__create_global_log);                                 \
984        } >$(TEST_SUITE_LOG).tmp || exit 1;                             \
985        mv $(TEST_SUITE_LOG).tmp $(TEST_SUITE_LOG);                     \
986        if $$success; then                                              \
987          col="$$grn";                                                  \
988         else                                                           \
989          col="$$red";                                                  \
990          test x"$$VERBOSE" = x || cat $(TEST_SUITE_LOG);               \
991        fi;                                                             \
992        echo "$${col}$$br$${std}";                                      \
993        echo "$${col}Testsuite summary for $(PACKAGE_STRING)$${std}";   \
994        echo "$${col}$$br$${std}";                                      \
995        create_testsuite_report --maybe-color;                          \
996        echo "$$col$$br$$std";                                          \
997        if $$success; then :; else                                      \
998          echo "$${col}See $(subdir)/$(TEST_SUITE_LOG)$${std}";         \
999          if test -n "$(PACKAGE_BUGREPORT)"; then                       \
1000            echo "$${col}Please report to $(PACKAGE_BUGREPORT)$${std}"; \
1001          fi;                                                           \
1002          echo "$$col$$br$$std";                                        \
1003        fi;                                                             \
1004        $$success || exit 1
1005
1006check-TESTS:
1007        @list='$(RECHECK_LOGS)';           test -z "$$list" || rm -f $$list
1008        @list='$(RECHECK_LOGS:.log=.trs)'; test -z "$$list" || rm -f $$list
1009        @test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
1010        @set +e; $(am__set_TESTS_bases); \
1011        log_list=`for i in $$bases; do echo $$i.log; done`; \
1012        trs_list=`for i in $$bases; do echo $$i.trs; done`; \
1013        log_list=`echo $$log_list`; trs_list=`echo $$trs_list`; \
1014        $(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) TEST_LOGS="$$log_list"; \
1015        exit $$?;
1016recheck: all $(check_PROGRAMS)
1017        @test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
1018        @set +e; $(am__set_TESTS_bases); \
1019        bases=`for i in $$bases; do echo $$i; done \
1020                 | $(am__list_recheck_tests)` || exit 1; \
1021        log_list=`for i in $$bases; do echo $$i.log; done`; \
1022        log_list=`echo $$log_list`; \
1023        $(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) \
1024                am__force_recheck=am--force-recheck \
1025                TEST_LOGS="$$log_list"; \
1026        exit $$?
1027testHeaders.log: testHeaders
1028        @p='testHeaders'; \
1029        b='testHeaders'; \
1030        $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
1031        --log-file $$b.log --trs-file $$b.trs \
1032        $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
1033        "$$tst" $(AM_TESTS_FD_REDIRECT)
1034.test.log:
1035        @p='$<'; \
1036        $(am__set_b); \
1037        $(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
1038        --log-file $$b.log --trs-file $$b.trs \
1039        $(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
1040        "$$tst" $(AM_TESTS_FD_REDIRECT)
1041#.test$(EXEEXT).log:
1042#       @p='$<'; \
1043#       $(am__set_b); \
1044#       $(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
1045#       --log-file $$b.log --trs-file $$b.trs \
1046#       $(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
1047#       "$$tst" $(AM_TESTS_FD_REDIRECT)
1048
1049distdir: $(DISTFILES)
1050        @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
1051        topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
1052        list='$(DISTFILES)'; \
1053          dist_files=`for file in $$list; do echo $$file; done | \
1054          sed -e "s|^$$srcdirstrip/||;t" \
1055              -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
1056        case $$dist_files in \
1057          */*) $(MKDIR_P) `echo "$$dist_files" | \
1058                           sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
1059                           sort -u` ;; \
1060        esac; \
1061        for file in $$dist_files; do \
1062          if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
1063          if test -d $$d/$$file; then \
1064            dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
1065            if test -d "$(distdir)/$$file"; then \
1066              find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
1067            fi; \
1068            if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
1069              cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
1070              find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
1071            fi; \
1072            cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
1073          else \
1074            test -f "$(distdir)/$$file" \
1075            || cp -p $$d/$$file "$(distdir)/$$file" \
1076            || exit 1; \
1077          fi; \
1078        done
1079check-am: all-am
1080        $(MAKE) $(AM_MAKEFLAGS) $(check_PROGRAMS)
1081        $(MAKE) $(AM_MAKEFLAGS) check-TESTS
1082check: check-am
1083all-am: Makefile $(LTLIBRARIES)
1084installdirs:
1085install: install-am
1086install-exec: install-exec-am
1087install-data: install-data-am
1088uninstall: uninstall-am
1089
1090install-am: all-am
1091        @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
1092
1093installcheck: installcheck-am
1094install-strip:
1095        if test -z '$(STRIP)'; then \
1096          $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1097            install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1098              install; \
1099        else \
1100          $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1101            install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1102            "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
1103        fi
1104mostlyclean-generic:
1105        -test -z "$(TEST_LOGS)" || rm -f $(TEST_LOGS)
1106        -test -z "$(TEST_LOGS:.log=.trs)" || rm -f $(TEST_LOGS:.log=.trs)
1107        -test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
1108
1109clean-generic:
1110        -test -z "$(CLEANFILES)" || rm -f $(CLEANFILES)
1111
1112distclean-generic:
1113        -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
1114        -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
1115
1116maintainer-clean-generic:
1117        @echo "This command is intended for maintainers to use"
1118        @echo "it deletes files that may require special tools to rebuild."
1119clean: clean-am
1120
1121clean-am: clean-checkPROGRAMS clean-generic clean-libtool \
1122        clean-noinstLTLIBRARIES mostlyclean-am
1123
1124distclean: distclean-am
1125        -rm -rf ./$(DEPDIR)
1126        -rm -f Makefile
1127distclean-am: clean-am distclean-compile distclean-generic \
1128        distclean-tags
1129
1130dvi: dvi-am
1131
1132dvi-am:
1133
1134html: html-am
1135
1136html-am:
1137
1138info: info-am
1139
1140info-am:
1141
1142install-data-am:
1143
1144install-dvi: install-dvi-am
1145
1146install-dvi-am:
1147
1148install-exec-am:
1149
1150install-html: install-html-am
1151
1152install-html-am:
1153
1154install-info: install-info-am
1155
1156install-info-am:
1157
1158install-man:
1159
1160install-pdf: install-pdf-am
1161
1162install-pdf-am:
1163
1164install-ps: install-ps-am
1165
1166install-ps-am:
1167
1168installcheck-am:
1169
1170maintainer-clean: maintainer-clean-am
1171        -rm -rf ./$(DEPDIR)
1172        -rm -f Makefile
1173maintainer-clean-am: distclean-am maintainer-clean-generic
1174
1175mostlyclean: mostlyclean-am
1176
1177mostlyclean-am: mostlyclean-compile mostlyclean-generic \
1178        mostlyclean-libtool
1179
1180pdf: pdf-am
1181
1182pdf-am:
1183
1184ps: ps-am
1185
1186ps-am:
1187
1188uninstall-am:
1189
1190.MAKE: check-am install-am install-strip
1191
1192.PHONY: CTAGS GTAGS TAGS all all-am check check-TESTS check-am clean \
1193        clean-checkPROGRAMS clean-generic clean-libtool \
1194        clean-noinstLTLIBRARIES cscopelist-am ctags ctags-am distclean \
1195        distclean-compile distclean-generic distclean-libtool \
1196        distclean-tags distdir dvi dvi-am html html-am info info-am \
1197        install install-am install-data install-data-am install-dvi \
1198        install-dvi-am install-exec install-exec-am install-html \
1199        install-html-am install-info install-info-am install-man \
1200        install-pdf install-pdf-am install-ps install-ps-am \
1201        install-strip installcheck installcheck-am installdirs \
1202        maintainer-clean maintainer-clean-generic mostlyclean \
1203        mostlyclean-compile mostlyclean-generic mostlyclean-libtool \
1204        pdf pdf-am ps ps-am recheck tags tags-am uninstall \
1205        uninstall-am
1206
1207.PRECIOUS: Makefile
1208
1209
1210$(OBJS): $(top_srcdir)/include/version.h $(top_builddir)/include/autoconf.h
1211
1212testHeaders: $(srcdir)/*.h
1213        $(SHELL) $(top_srcdir)/test-suite/testheaders.sh "$(CXXCOMPILE)" $^ || exit 1
1214
1215.PHONY: testHeaders
1216
1217# Tell versions [3.59,3.63) of GNU make to not export all variables.
1218# Otherwise a system limit (for SysV at least) may be exceeded.
1219.NOEXPORT:
Note: See TracBrowser for help on using the repository browser.